diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/data-calculator.h ns-3.44/src/stats/model/data-calculator.h
--- ns-3.43/src/stats/model/data-calculator.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/data-calculator.h	2025-03-09 16:55:49.699372300 -0700
@@ -9,31 +9,35 @@
 #ifndef DATA_CALCULATOR_H
 #define DATA_CALCULATOR_H
 
+#include "ns3/deprecated.h"
 #include "ns3/nstime.h"
 #include "ns3/object.h"
 #include "ns3/simulator.h"
 
 namespace ns3
 {
+NS_DEPRECATED_3_44("Use std::nan(\"\") instead")
 extern const double NaN; //!< Stored representation of NaN
 
 /**
- * \brief true if x is NaN
- * \param x
- * \return whether x is NaN
+ * @brief true if x is NaN
+ * @param x
+ * @return whether x is NaN
  */
+NS_DEPRECATED_3_44("Use std::isnan() instead")
+
 inline bool
 isNaN(double x)
 {
-    return x != x;
+    return std::isnan(x);
 }
 
 class DataOutputCallback;
 
 /**
- * \ingroup stats
- * \class StatisticalSummary
- * \brief Abstract class for calculating statistical data
+ * @ingroup stats
+ * @class StatisticalSummary
+ * @brief Abstract class for calculating statistical data
  *
  */
 class StatisticalSummary
@@ -48,49 +52,49 @@
 
     /**
      * Returns the number of observations.
-     * \return Number of observations
+     * @return Number of observations
      */
     virtual long getCount() const = 0;
 
     /**
-     * \return Sum of values
+     * @return Sum of values
      * @see getWeightedSum()
      */
     virtual double getSum() const = 0;
 
     /**
-     * \return Sum of squared values
+     * @return Sum of squared values
      * @see getWeightedSqrSum()
      */
     virtual double getSqrSum() const = 0;
 
     /**
      * Returns the minimum of the values.
-     * \return Minimum of values
+     * @return Minimum of values
      */
     virtual double getMin() const = 0;
 
     /**
      * Returns the maximum of the values.
-     * \return Maximum of values
+     * @return Maximum of values
      */
     virtual double getMax() const = 0;
 
     /**
      * Returns the mean of the (weighted) observations.
-     * \return Mean of (weighted) observations
+     * @return Mean of (weighted) observations
      */
     virtual double getMean() const = 0;
 
     /**
      * Returns the standard deviation of the (weighted) observations.
-     * \return Standard deviation of (weighted) observations
+     * @return Standard deviation of (weighted) observations
      */
     virtual double getStddev() const = 0;
 
     /**
      * Returns the variance of the (weighted) observations.
-     * \return Variance of (weighted) observations
+     * @return Variance of (weighted) observations
      */
     virtual double getVariance() const = 0;
 };
@@ -98,9 +102,9 @@
 //------------------------------------------------------------
 //--------------------------------------------
 /**
- * \ingroup stats
- * \class DataCalculator
- * \brief Calculates data during a simulation
+ * @ingroup stats
+ * @class DataCalculator
+ * @brief Calculates data during a simulation
  *
  */
 class DataCalculator : public Object
@@ -111,13 +115,13 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Returns whether the DataCalculator is enabled
-     * \return true if DataCalculator is enabled
+     * @return true if DataCalculator is enabled
      */
     bool GetEnabled() const;
     /**
@@ -130,40 +134,40 @@
     void Disable();
     /**
      * Sets the DataCalculator key to the provided key
-     * \param key Key value as a string
+     * @param key Key value as a string
      */
     void SetKey(const std::string key);
     /**
      * Gets the DataCalculator key
-     * \return Key value as a string
+     * @return Key value as a string
      */
     std::string GetKey() const;
 
     /**
      * Sets the DataCalculator context to the provided context
-     * \param context Context value as a string
+     * @param context Context value as a string
      */
     void SetContext(const std::string context);
     /**
      * Gets the DataCalculator context
-     * \return Context value as a string
+     * @return Context value as a string
      */
     std::string GetContext() const;
 
     /**
      * Starts DataCalculator at a given time in the simulation
-     * \param startTime
+     * @param startTime
      */
     virtual void Start(const Time& startTime);
     /**
      * Stops DataCalculator at a given time in the simulation
-     * \param stopTime
+     * @param stopTime
      */
     virtual void Stop(const Time& stopTime);
 
     /**
      * Outputs data based on the provided callback
-     * \param callback
+     * @param callback
      */
     virtual void Output(DataOutputCallback& callback) const = 0;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/data-collection-object.h ns-3.44/src/stats/model/data-collection-object.h
--- ns-3.43/src/stats/model/data-collection-object.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/data-collection-object.h	2025-03-09 16:55:49.699372300 -0700
@@ -17,7 +17,7 @@
 {
 
 /**
- * \ingroup aggregator
+ * @ingroup aggregator
  *
  * Base class for data collection framework objects.
  *
@@ -28,8 +28,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -43,19 +43,19 @@
 
     /**
      * Check the status of an individual object.
-     * \return true if the object is enabled
+     * @return true if the object is enabled
      */
     virtual bool IsEnabled() const;
 
     /**
      * Get the object's name.
-     * \return the object's name
+     * @return the object's name
      */
     std::string GetName() const;
 
     /**
      * Set the object's name.
-     * \param name the object's name
+     * @param name the object's name
      */
     void SetName(std::string name);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/data-collector.h ns-3.44/src/stats/model/data-collector.h
--- ns-3.43/src/stats/model/data-collector.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/data-collector.h	2025-03-09 16:55:49.699372300 -0700
@@ -31,9 +31,9 @@
 typedef std::list<std::pair<std::string, std::string>> MetadataList;
 
 /**
- * \ingroup dataoutput
- * \class DataCollector
- * \brief Collects data
+ * @ingroup dataoutput
+ * @class DataCollector
+ * @brief Collects data
  */
 class DataCollector : public Object
 {
@@ -43,17 +43,17 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Provide specific parameters to the DataCollector
-     * \param experiment Label for the experiment
-     * \param strategy Label for the strategy
-     * \param input Label for the input
-     * \param runID Label for the runID
-     * \param description Description
+     * @param experiment Label for the experiment
+     * @param strategy Label for the strategy
+     * @param input Label for the input
+     * @param runID Label for the runID
+     * @param description Description
      */
     void DescribeRun(std::string experiment,
                      std::string strategy,
@@ -63,7 +63,7 @@
 
     /**
      * Return the experiment label
-     * \return Experiment label
+     * @return Experiment label
      */
     std::string GetExperimentLabel() const
     {
@@ -72,7 +72,7 @@
 
     /**
      * Return the strategy label
-     * \return Strategy label
+     * @return Strategy label
      */
     std::string GetStrategyLabel() const
     {
@@ -81,7 +81,7 @@
 
     /**
      * Return the input label
-     * \return Input label
+     * @return Input label
      */
     std::string GetInputLabel() const
     {
@@ -90,7 +90,7 @@
 
     /**
      * Return the runID label
-     * \return Run label
+     * @return Run label
      */
     std::string GetRunLabel() const
     {
@@ -99,7 +99,7 @@
 
     /**
      * Return the description label
-     * \return Description label
+     * @return Description label
      */
     std::string GetDescription() const
     {
@@ -108,46 +108,46 @@
 
     /**
      * Add the key and the value as a pair of strings to the metadata list
-     * \param key Key value to include
-     * \param value Value to include of type string
+     * @param key Key value to include
+     * @param value Value to include of type string
      */
     void AddMetadata(std::string key, std::string value);
     /**
      * Add the key and the value as a pair of strings to the metadata list
-     * \param key Key value to include
-     * \param value Value to include of type double
+     * @param key Key value to include
+     * @param value Value to include of type double
      */
     void AddMetadata(std::string key, double value);
     /**
      * Add the key and the value as a pair of strings to the metadata list
-     * \param key Key value to include
-     * \param value Value to include of type uint32_t
+     * @param key Key value to include
+     * @param value Value to include of type uint32_t
      */
     void AddMetadata(std::string key, uint32_t value);
     /**
      * Returns an iterator to the beginning of the metadata list
-     * \return Iterator pointing to the first value of the metadata list
+     * @return Iterator pointing to the first value of the metadata list
      */
     MetadataList::iterator MetadataBegin();
     /**
      * Returns an iterator to the past-the-end of the metadata list
-     * \return Iterator pointing to the past-the-end element of the metadata list
+     * @return Iterator pointing to the past-the-end element of the metadata list
      */
     MetadataList::iterator MetadataEnd();
 
     /**
      * Add a DataCalculator object to the DataCollector
-     * \param datac DataCalculator object to be added
+     * @param datac DataCalculator object to be added
      */
     void AddDataCalculator(Ptr<DataCalculator> datac);
     /**
      * Returns an iterator to the beginning of the DataCalculator list
-     * \return Iterator pointing to the first value of the DataCalculator list
+     * @return Iterator pointing to the first value of the DataCalculator list
      */
     DataCalculatorList::iterator DataCalculatorBegin();
     /**
      * Returns an iterator to the past-the-end of the DataCalculator list
-     * \return Iterator pointing to the past-the-end element of the DataCalculator list
+     * @return Iterator pointing to the past-the-end element of the DataCalculator list
      */
     DataCalculatorList::iterator DataCalculatorEnd();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/data-output-interface.h ns-3.44/src/stats/model/data-output-interface.h
--- ns-3.43/src/stats/model/data-output-interface.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/data-output-interface.h	2025-03-09 16:55:49.699372300 -0700
@@ -22,9 +22,9 @@
 //------------------------------------------------------------
 //--------------------------------------------
 /**
- * \ingroup dataoutput
+ * @ingroup dataoutput
  *
- * \brief Abstract Data Output Interface class
+ * @brief Abstract Data Output Interface class
 s */
 class DataOutputInterface : public Object
 {
@@ -34,24 +34,24 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
     /**
      * Outputs information from the provided DataCollector
-     * \param dc DataCollector object
+     * @param dc DataCollector object
      */
     virtual void Output(DataCollector& dc) = 0;
 
     /**
      * Sets the DataOutputInterface prefix to the provided prefix
-     * \param prefix prefix as a string
+     * @param prefix prefix as a string
      */
     void SetFilePrefix(const std::string prefix);
     /**
      * Gets the file prefix of the DataOutputInterface
-     * \return File prefix as a string
+     * @return File prefix as a string
      */
     std::string GetFilePrefix() const;
 
@@ -64,9 +64,9 @@
 };
 
 /**
- * \ingroup dataoutput
+ * @ingroup dataoutput
  *
- * \brief Callback class for the DataOutput classes
+ * @brief Callback class for the DataOutput classes
  *
  */
 class DataOutputCallback
@@ -81,9 +81,9 @@
 
     /**
      * Outputs the data from the specified StatisticalSummary
-     * \param key Key value of a DataCalculator
-     * \param variable Name of the variable for which statistics are being provided
-     * \param statSum Pointer to a StatisticalSummary object
+     * @param key Key value of a DataCalculator
+     * @param variable Name of the variable for which statistics are being provided
+     * @param statSum Pointer to a StatisticalSummary object
      */
     virtual void OutputStatistic(std::string key,
                                  std::string variable,
@@ -91,41 +91,41 @@
 
     /**
      * Associates the integer value with the variable name for a specific output format
-     * \param key Key value of a DataCalculator
-     * \param variable Name of the variable for which statistics are being provided
-     * \param val Value to be stored
+     * @param key Key value of a DataCalculator
+     * @param variable Name of the variable for which statistics are being provided
+     * @param val Value to be stored
      */
     virtual void OutputSingleton(std::string key, std::string variable, int val) = 0;
 
     /**
      * Associates the uint32_t value with the variable name for a specific output format
-     * \param key Key value of a DataCalculator
-     * \param variable Name of the variable for which statistics are being provided
-     * \param val Value to be stored
+     * @param key Key value of a DataCalculator
+     * @param variable Name of the variable for which statistics are being provided
+     * @param val Value to be stored
      */
     virtual void OutputSingleton(std::string key, std::string variable, uint32_t val) = 0;
 
     /**
      * Associates the double value with the variable name for a specific output format
-     * \param key Key value of a DataCalculator
-     * \param variable Name of the variable for which statistics are being provided
-     * \param val Value to be stored
+     * @param key Key value of a DataCalculator
+     * @param variable Name of the variable for which statistics are being provided
+     * @param val Value to be stored
      */
     virtual void OutputSingleton(std::string key, std::string variable, double val) = 0;
 
     /**
      * Associates the string value with the variable name for a specific output format
-     * \param key Key value of a DataCalculator
-     * \param variable Name of the variable for which statistics are being provided
-     * \param val Value to be stored
+     * @param key Key value of a DataCalculator
+     * @param variable Name of the variable for which statistics are being provided
+     * @param val Value to be stored
      */
     virtual void OutputSingleton(std::string key, std::string variable, std::string val) = 0;
 
     /**
      * Associates the Time value with the variable name for a specific output format
-     * \param key Key value of a DataCalculator
-     * \param variable Name of the variable for which statistics are being provided
-     * \param val Value to be stored
+     * @param key Key value of a DataCalculator
+     * @param variable Name of the variable for which statistics are being provided
+     * @param val Value to be stored
      */
     virtual void OutputSingleton(std::string key, std::string variable, Time val) = 0;
     // end class DataOutputCallback
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/double-probe.h ns-3.44/src/stats/model/double-probe.h
--- ns-3.43/src/stats/model/double-probe.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/double-probe.h	2025-03-09 16:55:49.699372300 -0700
@@ -24,7 +24,7 @@
 {
 
 /**
- * \ingroup probes
+ * @ingroup probes
  *
  * This class is designed to probe an underlying ns3 TraceSource exporting
  * a double.  This probe exports a trace source "Output" of type double.
@@ -38,44 +38,44 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     DoubleProbe();
     ~DoubleProbe() override;
 
     /**
-     * \return the most recent value
+     * @return the most recent value
      */
     double GetValue() const;
 
     /**
-     * \param value set the traced double to a new value
+     * @param value set the traced double to a new value
      */
     void SetValue(double value);
 
     /**
-     * \brief Set a probe value by its name in the Config system
+     * @brief Set a probe value by its name in the Config system
      *
-     * \param path Config path to access the probe
-     * \param value set the traced double to a new value
+     * @param path Config path to access the probe
+     * @param value set the traced double to a new value
      */
     static void SetValueByPath(std::string path, double value);
 
     /**
-     * \brief connect to a trace source attribute provided by a given object
+     * @brief connect to a trace source attribute provided by a given object
      *
-     * \param traceSource the name of the attribute TraceSource to connect to
-     * \param obj ns3::Object to connect to
-     * \return true if the trace source was successfully connected
+     * @param traceSource the name of the attribute TraceSource to connect to
+     * @param obj ns3::Object to connect to
+     * @return true if the trace source was successfully connected
      */
     bool ConnectByObject(std::string traceSource, Ptr<Object> obj) override;
 
     /**
-     * \brief connect to a trace source provided by a config path
+     * @brief connect to a trace source provided by a config path
      *
-     * \param path Config path to bind to
+     * @param path Config path to bind to
      *
      * Note, if an invalid path is provided, the probe will not be connected
      * to anything.
@@ -84,10 +84,10 @@
 
   private:
     /**
-     * \brief Method to connect to an underlying ns3::TraceSource of type double
+     * @brief Method to connect to an underlying ns3::TraceSource of type double
      *
-     * \param oldData previous value of the double
-     * \param newData new value of the double
+     * @param oldData previous value of the double
+     * @param newData new value of the double
      */
     void TraceSink(double oldData, double newData);
 
